import { Plot as BasePlot } from '@antv/g2plot';
import { HTMLAttributes, Ref } from 'vue';
interface Options {
    [x: string]: any;
}
export interface Plot<C extends Options> extends BasePlot<C> {
    new (container: HTMLElement, config: C): BasePlot<C>;
}
type PickedAttrs = 'class' | 'style';
type Data = Record<string, any>[] | Record<string, any>;
export interface BaseChartProps<C extends Options> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: any;
    data: Data;
    chartRef?: Ref<BasePlot<C> | null>;
    onReady?: (plot: BasePlot<C>) => void;
}
export interface BaseChartRawBindings<C extends Options> {
    plot: BasePlot<C>;
}
declare const BaseChart: import("vue").DefineComponent<BaseChartProps<any>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<BaseChartProps<any>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default BaseChart;
