import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { BidirectionalBar } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BidirectionalBarChart = defineComponent({
  name: 'BidirectionalBarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": BidirectionalBar
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
BidirectionalBarChart.install = function (app) {
  app.component('BidirectionalBarChart', BidirectionalBarChart);
};
export default BidirectionalBarChart;