import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Heatmap } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var HeatmapChart = defineComponent({
  name: 'HeatmapChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Heatmap
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
HeatmapChart.install = function (app) {
  app.component('HeatmapChart', HeatmapChart);
};
export default HeatmapChart;