import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Histogram } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var HistogramChart = defineComponent({
  name: 'HistogramChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Histogram
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
HistogramChart.install = function (app) {
  app.component('HistogramChart', HistogramChart);
};
export default HistogramChart;