import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { TinyArea } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TinyAreaChart = defineComponent({
  name: 'TinyAreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": TinyArea
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
TinyAreaChart.install = function (app) {
  app.component('TinyAreaChart', TinyAreaChart);
};
export default TinyAreaChart;