import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Treemap } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TreemapChart = defineComponent({
  name: 'TreemapChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Treemap
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
TreemapChart.install = function (app) {
  app.component('TreemapChart', TreemapChart);
};
export default TreemapChart;