import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { WordCloud } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var WordCloudChart = defineComponent({
  name: 'WordCloudChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": WordCloud
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
WordCloudChart.install = function (app) {
  app.component('WordCloudChart', WordCloudChart);
};
export default WordCloudChart;