"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectSpread2"));
var _isEmpty = _interopRequireDefault(require("lodash/isEmpty"));
var _isEqual = _interopRequireDefault(require("lodash/isEqual"));
var _excluded = ["chart", "chartRef", "data", "class", "style", "onReady"];
var BaseChart = (0, _vue.defineComponent)({
  inheritAttrs: false,
  name: 'BaseChart',
  setup: function setup(props, ctx) {
    var plotRef = (0, _vue.ref)(null);
    var containerRef = (0, _vue.ref)(null);
    var attrs = (0, _vue.useAttrs)();
    var attrConfig = (0, _vue.computed)(function () {
      return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, attrs), props);
    });
    var chartData = (0, _vue.computed)(function () {
      return attrConfig.value.data || [];
    });
    var chartConfig = (0, _vue.computed)(function () {
      var _attrConfig$value = attrConfig.value,
        chart = _attrConfig$value.chart,
        chartRef = _attrConfig$value.chartRef,
        data = _attrConfig$value.data,
        className = _attrConfig$value.class,
        style = _attrConfig$value.style,
        onReady = _attrConfig$value.onReady,
        config = (0, _objectWithoutProperties2.default)(_attrConfig$value, _excluded);
      return config;
    });
    (0, _vue.onMounted)(function () {
      /* istanbul ignore else */
      if (containerRef.value) {
        var _attrConfig$value2 = attrConfig.value,
          Chart = _attrConfig$value2.chart,
          onReady = _attrConfig$value2.onReady,
          chartRef = _attrConfig$value2.chartRef;
        var plot = new Chart(containerRef.value, (0, _objectSpread2.default)({
          data: chartData.value
        }, chartConfig.value));
        plot.render();
        if (chartRef) {
          chartRef.value = plot;
        }
        plotRef.value = plot;
        onReady === null || onReady === void 0 || onReady(plot);
      }
    });
    (0, _vue.onBeforeUnmount)(function () {
      /* istanbul ignore else */
      if (plotRef.value) {
        plotRef.value.destroy();
      }
    });
    (0, _vue.watch)(chartData, function (data, oldData) {
      /* istanbul ignore else */
      if (plotRef.value) {
        if ((0, _isEmpty.default)(oldData)) {
          plotRef.value.update((0, _objectSpread2.default)({
            data: data
          }, chartConfig.value));
          plotRef.value.render();
        } else {
          plotRef.value.changeData(data);
        }
      }
    });
    (0, _vue.watch)(chartConfig, function (config, oldConfig) {
      /* istanbul ignore else */
      if (plotRef.value) {
        if (!(0, _isEqual.default)(config, oldConfig)) {
          plotRef.value.update((0, _objectSpread2.default)({
            data: chartData.value
          }, config));
        }
      }
    });
    return function () {
      return (0, _vue.createVNode)("div", {
        "ref": containerRef,
        "class": props.class,
        "style": props.style
      }, null);
    };
  }
});
var _default = exports.default = BaseChart;